## python-rtree 0.9.7

=== ci/CMakeLists.txt ===
#
# top-level CMake configuration file for libspatialindex
#
# (based originally on the libLAS files copyright Mateusz Loskot)

SET(MSVC_INCREMENTAL_DEFAULT OFF)
cmake_minimum_required(VERSION 3.5.0)
project(spatialindex)

#------------------------------------------------------------------------------
# internal cmake settings
#------------------------------------------------------------------------------

set(CMAKE_COLOR_MAKEFILE ON)

# C++11 required
set (CMAKE_CXX_STANDARD 11)

# Allow advanced users to generate Makefiles printing detailed commands
mark_as_advanced(CMAKE_VERBOSE_MAKEFILE)

# Path to additional CMake modules
set(CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake/modules" ${CMAKE_MODULE_PATH})

# Make string comparison in cmake behave like you'd expect
cmake_policy(SET CMP0054 NEW) 

if (WIN32)
    if(${CMAKE_VERSION} VERSION_GREATER "3.14.5")
      cmake_policy(SET CMP0092 NEW) # don't put /w3 in flags
    endif()
endif()

if (APPLE)
	set(CMAKE_MACOSX_RPATH ON)
endif (APPLE)

#------------------------------------------------------------------------------
# libspatialindex general settings
#------------------------------------------------------------------------------

SET(SIDX_VERSION_MAJOR "1")
SET(SIDX_VERSION_MINOR "9")
SET(SIDX_VERSION_PATCH "3")
SET(SIDX_LIB_VERSION "6.1.1")
SET(SIDX_LIB_SOVERSION "6")
SET(BUILD_SHARED_LIBS ON)


set(SIDX_VERSION_STRING "${SIDX_VERSION_MAJOR}.${SIDX_VERSION_MINOR}.${SIDX_VERSION_PATCH}")

#------------------------------------------------------------------------------
# libspatialindex general cmake options
#------------------------------------------------------------------------------

option(SIDX_BUILD_TESTS "Enables integrated test suites" OFF)


# Name of C++ library

set(SIDX_LIB_NAME spatialindex)
set(SIDX_C_LIB_NAME spatialindex_c)

if(WIN32)
  if (MSVC)
	if( CMAKE_SIZEOF_VOID_P EQUAL 8 )
		set( SIDX_LIB_NAME "spatialindex-64" )
		set( SIDX_C_LIB_NAME "spatialindex_c-64" )
	else( CMAKE_SIZEOF_VOID_P EQUAL 8 )
		set( SIDX_LIB_NAME "spatialindex-32"  )
		set( SIDX_C_LIB_NAME "spatialindex_c-32"  )
	endif( CMAKE_SIZEOF_VOID_P EQUAL 8 )
      endif()
endif()
 
set(CMAKE_INCLUDE_DIRECTORIES_PROJECT_BEFORE ON)

include (CheckFunctionExists)

check_function_exists(srand48 HAVE_SRAND48)
check_function_exists(gettimeofday HAVE_GETTIMEOFDAY)
check_function_exists(memset HAVE_MEMSET)
check_function_exists(memcpy HAVE_MEMCPY)
check_function_exists(bcopy HAVE_BCOPY)


INCLUDE (CheckIncludeFiles)


#------------------------------------------------------------------------------
# General build settings
#------------------------------------------------------------------------------

# note we default to RelWithDebInfo mode if not set
if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING
    "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel" FORCE)
endif()

# Always show which build type we have
message(STATUS "Setting libspatialindex build type - ${CMAKE_BUILD_TYPE}")

set(SIDX_BUILD_TYPE ${CMAKE_BUILD_TYPE})

# TODO: Still testing the output paths --mloskot
set(SIDX_BUILD_OUTPUT_DIRECTORY "${PROJECT_BINARY_DIR}/bin")

# Output directory in which to build RUNTIME target files.
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${SIDX_BUILD_OUTPUT_DIRECTORY})

# Output directory in which to build LIBRARY target files
set(CMAKE_LIBRARY_OUTPUT_DIRECTORY ${SIDX_BUILD_OUTPUT_DIRECTORY})

# Output directory in which to build ARCHIVE target files.
set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY ${SIDX_BUILD_OUTPUT_DIRECTORY})


#------------------------------------------------------------------------------
# Platform and compiler specific settings
#------------------------------------------------------------------------------

if(NOT WIN32)
  # Recommended C++ compilation flags
  set(SIDX_COMMON_CXX_FLAGS
    "-pedantic -Wall -Wpointer-arith -Wcast-align -Wcast-qual  -Wredundant-decls -Wno-long-long -Wl --no-undefined")
endif(NOT WIN32)

if (APPLE)
  set(SO_EXT dylib)
  set(CMAKE_FIND_FRAMEWORK "LAST")
elseif(WIN32)
  set(SO_EXT dll)
else()
  set(SO_EXT so)
endif(APPLE)


enable_testing()

#------------------------------------------------------------------------------
# installation path settings
#------------------------------------------------------------------------------

if(WIN32)
  set(DEFAULT_LIB_SUBDIR lib)
  set(DEFAULT_DATA_SUBDIR .)
  set(DEFAULT_INCLUDE_SUBDIR include)

  if (MSVC)
    set(DEFAULT_BIN_SUBDIR bin)
  else()
    set(DEFAULT_BIN_SUBDIR .)
  endif()
else()
  # Common locations for Unix and Mac OS X
  set(DEFAULT_BIN_SUBDIR bin)
  set(DEFAULT_LIB_SUBDIR lib${LIB_SUFFIX})
  set(DEFAULT_DATA_SUBDIR share/spatialindex)
  set(DEFAULT_INCLUDE_SUBDIR include)
endif()

# Locations are changeable by user to customize layout of SIDX installation
# (default values are platform-specific)
set(SIDX_BIN_SUBDIR ${DEFAULT_BIN_SUBDIR} CACHE STRING
  "Subdirectory where executables will be installed")
set(SIDX_LIB_SUBDIR ${DEFAULT_LIB_SUBDIR} CACHE STRING
  "Subdirectory where libraries will be installed")
set(SIDX_INCLUDE_SUBDIR ${DEFAULT_INCLUDE_SUBDIR} CACHE STRING
  "Subdirectory where header files will be installed")
set(SIDX_DATA_SUBDIR ${DEFAULT_DATA_SUBDIR} CACHE STRING
  "Subdirectory where data will be installed")

# Mark *_SUBDIR variables as advanced and dedicated to use by power-users only.
mark_as_advanced(SIDX_BIN_SUBDIR
  SIDX_LIB_SUBDIR SIDX_INCLUDE_SUBDIR SIDX_DATA_SUBDIR)

# Full paths for the installation
set(SIDX_BIN_DIR ${SIDX_BIN_SUBDIR})
set(SIDX_LIB_DIR ${SIDX_LIB_SUBDIR})
set(SIDX_INCLUDE_DIR ${SIDX_INCLUDE_SUBDIR})
set(SIDX_DATA_DIR ${SIDX_DATA_SUBDIR})

#------------------------------------------------------------------------------
# subdirectory controls
#------------------------------------------------------------------------------

add_subdirectory(src)

if(SIDX_BUILD_TESTS)
  add_subdirectory(test)
endif()

#------------------------------------------------------------------------------
# CPACK controls
#------------------------------------------------------------------------------

SET(CPACK_PACKAGE_VERSION_MAJOR ${SIDX_VERSION_MAJOR})
SET(CPACK_PACKAGE_VERSION_MINOR ${SIDX_VERSION_MINOR})
SET(CPACK_PACKAGE_VERSION_PATCH ${SIDX_VERSION_MINOR})
SET(CPACK_PACKAGE_NAME "libspatialindex")

SET(CPACK_SOURCE_GENERATOR "TBZ2;TGZ")
SET(CPACK_PACKAGE_VENDOR "libspatialindex Development Team")
SET(CPACK_RESOURCE_FILE_LICENSE    "${PROJECT_SOURCE_DIR}/COPYING")

set(CPACK_SOURCE_PACKAGE_FILE_NAME
    "${CMAKE_PROJECT_NAME}-src-${SIDX_VERSION_STRING}")

set(CPACK_SOURCE_IGNORE_FILES
"/\\\\.gitattributes;/\\\\.vagrant;/\\\\.DS_Store;/CVS/;/\\\\.git/;\\\\.swp$;~$;\\\\.\\\\#;/\\\\#")

list(APPEND CPACK_SOURCE_IGNORE_FILES "CMakeScripts/")
list(APPEND CPACK_SOURCE_IGNORE_FILES "_CPack_Packages")
list(APPEND CPACK_SOURCE_IGNORE_FILES "cmake_install.cmake")
list(APPEND CPACK_SOURCE_IGNORE_FILES "/bin/")
list(APPEND CPACK_SOURCE_IGNORE_FILES "/scripts/")
list(APPEND CPACK_SOURCE_IGNORE_FILES "/azure-pipelines.yml")
list(APPEND CPACK_SOURCE_IGNORE_FILES ".gitignore")
list(APPEND CPACK_SOURCE_IGNORE_FILES ".ninja*")
list(APPEND CPACK_SOURCE_IGNORE_FILES "HOWTORELEASE.txt")

list(APPEND CPACK_SOURCE_IGNORE_FILES "README")
list(APPEND CPACK_SOURCE_IGNORE_FILES "build/")

list(APPEND CPACK_SOURCE_IGNORE_FILES "CMakeFiles")
list(APPEND CPACK_SOURCE_IGNORE_FILES "CTestTestfile.cmake")
list(APPEND CPACK_SOURCE_IGNORE_FILES "/docs/build/")
list(APPEND CPACK_SOURCE_IGNORE_FILES "/doc/presentations/")
list(APPEND CPACK_SOURCE_IGNORE_FILES "package-release.sh")
list(APPEND CPACK_SOURCE_IGNORE_FILES "docker-package.sh")

list(APPEND CPACK_SOURCE_IGNORE_FILES ".gz2")

list(APPEND CPACK_SOURCE_IGNORE_FILES ".bz2")

include(CPack)
add_custom_target(dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)

## python-rtree 0.8.2+ds

=== debian/changelog ===
python-rtree (0.8.2+ds-2) unstable; urgency=medium

  * Add libspatialindex-dev as dependency of the binary packages too.
    Required for find_library('spatialindex_c') in core.py.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 01 Sep 2015 13:30:00 +0200

python-rtree (0.8.2+ds-1) unstable; urgency=medium

  * Initial release (Closes: #797541)

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 31 Aug 2015 18:02:57 +0200

=== debian/control ===
Source: python-rtree
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Bas Couwenberg <sebastic@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               libspatialindex-dev (>= 1.7.0),
               python-all,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-setuptools
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/python-rtree.git
Vcs-Git: git://anonscm.debian.org/pkg-grass/python-rtree.git
Homepage: http://toblerity.org/rtree/

Package: python-rtree
Architecture: all
Depends: libjs-jquery,
         libjs-underscore,
         libspatialindex-dev (>= 1.7.0),
         ${python:Depends},
         ${misc:Depends}
Provides: ${python:Provides}
Description: R-Tree spatial index for Python GIS - Python 2 module
 Rtree is a ctypes Python wrapper of libspatialindex that provides a
 number of advanced spatial indexing features for the spatially curious
 Python user. These features include:
 .
  * Nearest neighbor search
  * Intersection search
  * Multi-dimensional indexes
  * Clustered indexes (store Python pickles directly with index entries)
  * Bulk loading
  * Deletion
  * Disk serialization
  * Custom storage implementation (to implement spatial indexing in ZODB,
    for example)
 .
 This package contains the module for Python 2.

Package: python3-rtree
Architecture: all
Depends: libspatialindex-dev (>= 1.7.0),
         ${python3:Depends},
         ${misc:Depends}
Provides: ${python3:Provides}
Description: R-Tree spatial index for Python GIS - Python 3 module
 Rtree is a ctypes Python wrapper of libspatialindex that provides a
 number of advanced spatial indexing features for the spatially curious
 Python user. These features include:
 .
  * Nearest neighbor search
  * Intersection search
  * Multi-dimensional indexes
  * Clustered indexes (store Python pickles directly with index entries)
  * Bulk loading
  * Deletion
  * Disk serialization
  * Custom storage implementation (to implement spatial indexing in ZODB,
    for example)
 .
 This package contains the module for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=rtree

%:
	dh $@ \
		--buildsystem=pybuild \
		--with python2 \
		--with python3 \
		--parallel

override_dh_auto_clean:
	dh_auto_clean
	(cd docs && make clean)

override_dh_auto_build:
	dh_auto_build
	(cd docs && make html)

override_dh_auto_test:
	dh_auto_test || echo "Ignoring test failures"

override_dh_installchangelogs:
	dh_installchangelogs docs/source/changes.txt

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
repacksuffix=+ds \
http://pypi.debian.net/Rtree/Rtree-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-rtree 0.8.3+ds

=== debian/changelog ===
python-rtree (0.8.3+ds-2) unstable; urgency=medium

  * Add python3-sphinx to build dependencies.
  * Bump Standards-Version to 4.1.5, no changes.
  * Add autopkgtest to test installability.
  * Update copyright-format URL to use HTTPS.
  * Update Vcs-* URLs for Salsa.
  * Add module import tests to autopkgtest configuration.
  * Update watch file to use HTTPS.
  * Strip trailing whitespace from control & rules files.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 21 Jul 2018 12:14:37 +0200

python-rtree (0.8.3+ds-1) unstable; urgency=medium

  * New upstream release.
  * Update Vcs-Git URL to use HTTPS.
  * Bump Standards-Version to 3.9.8, no changes.
  * Exclude pre-built docs from upstream tarball.
  * Add numpy to build depends for tests.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 15 Dec 2016 07:53:43 +0100

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,16 @@
                dh-python,
                libspatialindex-dev (>= 1.7.0),
                python-all,
+               python-numpy,
                python-setuptools,
                python-sphinx,
                python3-all,
-               python3-setuptools
-Standards-Version: 3.9.6
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/python-rtree.git
-Vcs-Git: git://anonscm.debian.org/pkg-grass/python-rtree.git
+               python3-numpy,
+               python3-setuptools,
+               python3-sphinx
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-rtree
+Vcs-Git: https://salsa.debian.org/debian-gis-team/python-rtree.git
 Homepage: http://toblerity.org/rtree/
 
 Package: python-rtree
@@ -63,4 +66,3 @@
     for example)
  .
  This package contains the module for Python 3.
-

=== debian/rules ===
--- 
+++ 
@@ -26,4 +26,3 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs docs/source/changes.txt
-

=== debian/tests/control ===
# Test installability
Depends: @
Test-Command: /bin/true

# Test module import (Python 2)
Depends: python-all, python-rtree
Test-Command: set -e ; for py in $(pyversions -r 2>/dev/null) ; do cd "$ADTTMP" ; echo "Testing with $py:" ; $py -c "import rtree; print(rtree)" ; done

# Test module import (Python 3)
Depends: python3-all, python3-rtree
Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$ADTTMP" ; echo "Testing with $py:" ; $py -c "import rtree; print(rtree)" ; done

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
repacksuffix=+ds \
https://pypi.debian.net/Rtree/Rtree-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-rtree 0.9.4

=== debian/changelog ===
python-rtree (0.9.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.5.0, no changes.
  * Update Source, Comment & Files-Excluded for GitHub releases.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 12 Feb 2020 05:52:09 +0100

python-rtree (0.9.3-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 11 Dec 2019 08:40:36 +0100

python-rtree (0.9.2-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file to use GitHub releases.
  * Drop Name field from upstream metadata.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 10 Dec 2019 05:50:34 +0100

python-rtree (0.9.1+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 26 Nov 2019 05:22:49 +0100

python-rtree (0.9.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes.
  * Add python3-pytest to build dependencies.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 25 Nov 2019 05:59:43 +0100

python-rtree (0.8.3+ds-4) unstable; urgency=medium

  * Rename doc-base document to python3-rtee to avoid conflict.
    (closes: #933482)
  * Update Homepage URL.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 30 Jul 2019 17:21:48 +0200

python-rtree (0.8.3+ds-3) unstable; urgency=medium

  * Bump Standards-Version to 4.4.0, no changes.
  * Drop autopkgtests to test installability & module import.
  * Add lintian override for testsuite-autopkgtest-missing.
  * Drop unused python3:Provides substvar.
  * Update gbp.conf to use --source-only-changes by default.
  * Drop Python 2 support.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 21 Jul 2019 10:07:01 +0200

=== debian/control ===
Source: python-rtree
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Bas Couwenberg <sebastic@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               libspatialindex-dev (>= 1.7.0),
               python3-all,
               python3-numpy,
               python3-pytest,
               python3-setuptools,
               python3-sphinx
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-rtree
Vcs-Git: https://salsa.debian.org/debian-gis-team/python-rtree.git
Homepage: https://github.com/Toblerity/rtree

Package: python3-rtree
Architecture: all
Depends: libjs-jquery,
         libjs-underscore,
         libspatialindex-dev (>= 1.7.0),
         ${python3:Depends},
         ${misc:Depends}
Description: R-Tree spatial index for Python GIS - Python 3 module
 Rtree is a ctypes Python wrapper of libspatialindex that provides a
 number of advanced spatial indexing features for the spatially curious
 Python user. These features include:
 .
  * Nearest neighbor search
  * Intersection search
  * Multi-dimensional indexes
  * Clustered indexes (store Python pickles directly with index entries)
  * Bulk loading
  * Deletion
  * Disk serialization
  * Custom storage implementation (to implement spatial indexing in ZODB,
    for example)
 .
 This package contains the module for Python 3.

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,6 @@
 %:
 	dh $@ \
 		--buildsystem=pybuild \
-		--with python2 \
 		--with python3 \
 		--parallel

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,\
filenamemangle=s/(?:.*?)?(?:rel|v|rtree)?[\-\_]?(\d[\d\.]*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/rtree-$1.$2/,\
repacksuffix=+ds \
https://github.com/Toblerity/rtree/releases \
(?:.*?/archive/)*(?:rel|v|rtree|)[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-rtree 0.9.7

=== debian/changelog ===
python-rtree (0.9.7-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 25 Dec 2020 06:49:44 +0100

python-rtree (0.9.6-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 22 Dec 2020 19:09:08 +0100

python-rtree (0.9.5-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.5.1, no changes.
  * Add python3-wheel to build dependencies.
  * Set PYTHONPATH for sphinx-build.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 18 Dec 2020 16:13:37 +0100

python-rtree (0.9.4-2) unstable; urgency=medium

  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default
  * Bump watch file version to 4.
  * Update lintian overrides.
  * Use sphinxdoc helper.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 12 Nov 2020 13:04:18 +0100

=== debian/control ===
--- 
+++ 
@@ -3,25 +3,25 @@
 Uploaders: Bas Couwenberg <sebastic@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10~),
                dh-python,
                libspatialindex-dev (>= 1.7.0),
                python3-all,
                python3-numpy,
                python3-pytest,
                python3-setuptools,
-               python3-sphinx
-Standards-Version: 4.5.0
+               python3-sphinx,
+               python3-wheel
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-rtree
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-rtree.git
 Homepage: https://github.com/Toblerity/rtree
 
 Package: python3-rtree
 Architecture: all
-Depends: libjs-jquery,
-         libjs-underscore,
-         libspatialindex-dev (>= 1.7.0),
+Depends: libspatialindex-dev (>= 1.7.0),
          ${python3:Depends},
+         ${sphinxdoc:Depends},
          ${misc:Depends}
 Description: R-Tree spatial index for Python GIS - Python 3 module
  Rtree is a ctypes Python wrapper of libspatialindex that provides a

=== debian/watch ===
--- 
+++ 
@@ -1,4 +1,4 @@
-version=3
+version=4
 opts=\
 dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
 uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,\

## python-rtree 1.0.0

=== debian/changelog ===
python-rtree (1.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file for GitHub URL changes.
  * Bump Standards-Version to 4.6.0, no changes.
  * Bump debhelper compat to 12, no changes.
  * Require at least libspatialindex-dev 1.8.5.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 05 Apr 2022 05:32:40 +0200

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Uploaders: Bas Couwenberg <sebastic@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 10~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
-               libspatialindex-dev (>= 1.7.0),
+               libspatialindex-dev (>= 1.8.5),
                python3-all,
                python3-numpy,
                python3-pytest,
                python3-setuptools,
                python3-sphinx,
                python3-wheel
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-rtree
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-rtree.git
 Homepage: https://github.com/Toblerity/rtree

## python-rtree 1.0.1

=== docs/requirements.txt ===
sphinx>=4

=== debian/changelog ===
python-rtree (1.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.1, no changes.
  * Use pybuild-plugin-pyproject instead of python3-setuptools.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 12 Oct 2022 06:19:17 +0200

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,14 @@
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                libspatialindex-dev (>= 1.8.5),
+               pybuild-plugin-pyproject,
                python3-all,
                python3-numpy,
                python3-pytest,
                python3-setuptools,
                python3-sphinx,
                python3-wheel
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-rtree
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-rtree.git
 Homepage: https://github.com/Toblerity/rtree

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,7 @@
 %:
 	dh $@ \
 		--buildsystem=pybuild \
-		--with python3 \
-		--parallel
+		--with python3,sphinxdoc
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -18,7 +17,7 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	(cd docs && make html)
+	(cd docs && PYTHONPATH=$(shell ls -d $(CURDIR)/.pybuild/*_$(shell py3versions -dv)_*/build 2> /dev/null | head -1) make html)
 
 override_dh_auto_test:
 	dh_auto_test || echo "Ignoring test failures"

## python-rtree 1.2.0

=== ci/CMakeLists.txt ===
--- 
+++ 
@@ -23,7 +23,7 @@
 set(CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake/modules" ${CMAKE_MODULE_PATH})
 
 # Make string comparison in cmake behave like you'd expect
-cmake_policy(SET CMP0054 NEW) 
+cmake_policy(SET CMP0054 NEW)
 
 if (WIN32)
     if(${CMAKE_VERSION} VERSION_GREATER "3.14.5")
@@ -72,7 +72,7 @@
 	endif( CMAKE_SIZEOF_VOID_P EQUAL 8 )
       endif()
 endif()
- 
+
 set(CMAKE_INCLUDE_DIRECTORIES_PROJECT_BEFORE ON)
 
 include (CheckFunctionExists)

=== debian/changelog ===
python-rtree (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches, applied upstream.
  * Add python3-sphinx-issues to build dependencies.
  * Update dh_installchangelogs override.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 19 Jan 2024 14:55:39 +0100

python-rtree (1.1.0-2) unstable; urgency=medium

  * Add patch to fix FTBFS on i386.
  * Add patch to fix autopkgtest failure.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 17 Oct 2023 07:20:33 +0200

python-rtree (1.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Add Rules-Requires-Root to control file.
  * Bump Standards-Version to 4.6.2, no changes.
  * Bump debhelper compat to 13.
  * Use autopkgtest-pkg-pybuild testsuite.
  * Enable Salsa CI.
  * Remove generated files in clean target.
    (closes: #1048902)
  * Use execute_after instead of override in rules file.
  * Switch to dh-sequence-*.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 17 Oct 2023 05:23:41 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,10 @@
 Uploaders: Bas Couwenberg <sebastic@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
+               dh-sequence-python3,
+               dh-sequence-sphinxdoc,
                libspatialindex-dev (>= 1.8.5),
                pybuild-plugin-pyproject,
                python3-all,
@@ -12,11 +14,14 @@
                python3-pytest,
                python3-setuptools,
                python3-sphinx,
+               python3-sphinx-issues,
                python3-wheel
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-rtree
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-rtree.git
 Homepage: https://github.com/Toblerity/rtree
+Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-rtree
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=rtree

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_clean:
	(cd docs && make clean)

execute_after_dh_auto_build:
	(cd docs && PYTHONPATH=$(shell ls -d $(CURDIR)/.pybuild/*_$(shell py3versions -dv)_*/build 2> /dev/null | head -1) make html)

override_dh_installchangelogs:
	dh_installchangelogs docs/source/changes.rst

## python-rtree 1.3.0

=== debian/changelog ===
python-rtree (1.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop index-version.patch, included upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 10 Jul 2024 15:08:28 +0200

python-rtree (1.2.0-2) unstable; urgency=medium

  * Use pybuild to get build_dir path.
  * Add upstream patch to fix FTBFS with spatialindex 2.0.0.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 06 Jun 2024 10:07:54 +0200

## python-rtree 1.4.0

=== debian/changelog ===
python-rtree (1.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.0, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 06 Mar 2025 05:26:39 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                python3-sphinx,
                python3-sphinx-issues,
                python3-wheel
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-rtree
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-rtree.git
 Homepage: https://github.com/Toblerity/rtree

## python-rtree 1.4.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  devhelp   to make HTML files and a Devhelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latex_paper_size  to make LaTeX files and run them through pdflatex"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf build/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html
	@echo
	@echo "Build finished. The HTML pages are in build/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in build/qthelp, like this:"
	@echo "# qcollectiongenerator build/qthelp/Rtree.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile build/qthelp/Rtree.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) build/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Rtree"
	@echo "# ln -s build/devhelp $$HOME/.local/share/devhelp/Rtree"
	@echo "# devhelp"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) build/latex
	@echo
	@echo "Build finished; the LaTeX files are in build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

latexpdf: latex
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) build/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C build/latex all-pdf
	@echo "pdflatex finished; the PDF files are in build/latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) build/changes
	@echo
	@echo "The overview file is in build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in build/doctest/output.txt."

pdf:
	$(SPHINXBUILD) -b pdf $(ALLSPHINXOPTS) build/pdf
	@echo
	@echo "Build finished; now you can process the PDF files."

=== docs/requirements.txt ===
sphinx>=4
sphinx-issues

=== debian/changelog ===
python-rtree (1.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 14 Aug 2025 05:27:26 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                python3-sphinx,
                python3-sphinx-issues,
                python3-wheel
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/python-rtree
 Vcs-Git: https://salsa.debian.org/debian-gis-team/python-rtree.git
 Homepage: https://github.com/Toblerity/rtree

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	(cd docs && make clean)
 
 execute_after_dh_auto_build:
-	(cd docs && PYTHONPATH=$(shell ls -d $(CURDIR)/.pybuild/*_$(shell py3versions -dv)_*/build 2> /dev/null | head -1) make html)
+	(cd docs && PYTHONPATH=$(shell pybuild --print build_dir --interpreter python3) make html)
 
 override_dh_installchangelogs:
 	dh_installchangelogs docs/source/changes.rst

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)[\-\.]?\d*)$/$1~$2/,\
filenamemangle=s/(?:.*?)?(?:rel|v|rtree)?[\-\_]?(\d[\d\.]*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/rtree-$1.$2/,\
repacksuffix=+ds \
https://github.com/Toblerity/rtree/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|rtree|)[\-\_]?(\d[\d\-\.]+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
